Part Point/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(32 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{UnfinishedDocu{{#translation:}}}}
{{Docnav/ru
|[[Part_Ellipse/ru|Эллипс]]
|[[Part_Line/ru|Линия]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Point
|Name=Part Point
|Name/ru=Точка
|Name/ru=Точка(Вершина)
|MenuLocation=Деталь → [[Part_CreatePrimitives/ru|Создать примитивы...]] → Точка
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Точка
|Workbenches=[[Part Module/ru|Part]], [[OpenSCAD_Module/ru|OpenSCAD]]
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
|SeeAlso=..
}}
}}
</div>
</div>


== Description ==
== Описание ==
A Point (vertex) geometric primitive.


[[Image:Part_Point.svg|24px]] '''Точка''' — это параметрический примитив, который можно создать с помощью команды [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/ru|Примитивы...]]. Её координаты относительны к системе координат, определенным в её свойстве {{PropertyData|Placement}}.
==Usage==


==Применение==
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part Workbench]]
# The Create Primitives dialogue can be accessed several ways:
#* Pressing the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Primitives]] icon located in the Part toolbar
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Point}} menu


===Geometric Primitives===
See [[Part_Primitives#Usage|Part Primitives]].
{|
| [[File:PartVertexPrimitivesOptions_it.png]]
|
Point
====Parameter====
* {{Parameter|X}}
* {{Parameter|Y}}
* {{Parameter|Z}}
====Location====
*
*
*
|}
===Property===
{|
| [[File:PartVertexProperty_it.png|left]]
|
==== View ====


==== Data ====
== Свойства ==
{{KEY|Base}}
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement|placement]]
* {{PropertyData|X}} :
* {{PropertyData|Y}} :
* {{PropertyData|Z}} :
|}
{{clear}}


See also: [[Property_editor|Property editor]].


A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
{{Part_Tools_navi{{#translation:}}}}


=== Данные ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.

== Программирование ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Point can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}

* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()
}}


{{Docnav/ru
|[[Part_Ellipse/ru|Эллипс]]
|[[Part_Line/ru|Линия]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:06, 15 November 2022

Точка(Вершина)

Системное название
Part Point
Расположение в меню
Деталь → Создать примитивы... → Точка
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Примитивы

Описание

Точка — это параметрический примитив, который можно создать с помощью команды Примитивы.... Её координаты относительны к системе координат, определенным в её свойстве ДанныеPlacement.

Применение

See Part Primitives.

Свойства

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • ДанныеX (Distance): The X coordinate of the point. The default is 0mm.
  • ДанныеY (Distance): The Y coordinate of the point. The default is 0mm.
  • ДанныеZ (Distance): The Z coordinate of the point. The default is 0mm.

Программирование

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()